%global debug_package %{nil}
Name:           tinyfiledialogs
Version:        3.18.1
Release:        1%{?dist}
Summary: 	A tiny, neat C library for portable file dialogs
License:        Zlib
URL:            https://sourceforge.net/projects/tinyfiledialogs/
Source:         https://sourceforge.net/projects/tinyfiledialogs/files/latest/%{name}-%{version}.tar.gz

BuildRequires:  gcc

%description
tinyfiledialogs is a cross-platform C/C++ library for displaying simple dialogs,
such as file open, file save, and message boxes, in desktop applications

%prep
%setup -q -n %{name} 

%build
gcc -c -fPIC -ansi -std=c89 -pedantic -Wstrict-prototypes -g3 -Wall -Wextra -Wdouble-promotion -Wconversion -Wno-sign-conversion -Wno-unused-parameter -Wno-unused-function -fno-sanitize=undefined -fno-sanitize=thread tinyfiledialogs.c
# Add SONAME to the shared library
gcc -shared -Wl,-soname,libtinyfd.so.1 -o libtinyfd.so tinyfiledialogs.o -lpthread

%install
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}
# Install the library file
cp -v libtinyfd.so %{buildroot}/%{_libdir}/
# Install the header file
cp -v tinyfiledialogs.h %{buildroot}/%{_includedir}/
# Strip debugging symbols from the shared library
strip %{buildroot}%{_libdir}/libtinyfd.so
# Convert README.txt to UTF-8
iconv -f ISO-8859-1 -t UTF-8 -o README.txt.utf8 README.txt
mv README.txt.utf8 README.txt

%files
%doc README.txt
%{_libdir}/libtinyfd.so*
%{_includedir}/tinyfiledialogs.h

%changelog
* Fri May 10 2024 Manish Tiwari <matiwari@redhat.com> - 3.18.1-1
- Initial package release
